Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Installation and building / Installation

Installation

Installation
Keith Williams 2007/09/24 15:51
I'm trying to install openCascade on a 32 bit Intel PC running Suse Linux 10.2 and JRE 6 update 2.

When I try running the install.csh script, I get a message saying "Preparing Java(tm) Virtual Machine" followed by several lines of dots and then back to the command prompt.

If I try and install using something like java -cp setup.jar run I get an error saying "The wizard cannot continue because of the following error: could not load wizard specified in /wizard.inf (104)"

Several other people seem to have had a similar problem but none of the cures suggested works. Any suggestions?
Alvaro 2007/09/24 17:52
Just search for this topic in the forum:

http://www.opencascade.org/org/forum/thread_11365/
http://www.opencascade.org/org/forum/thread_12026/

let me know if it works now.


.alvaro.castro.
Keith Williams 2007/09/25 11:10
I discovered that although I had installed the latest version of Java, the java command on my system was still pointing to an old version. When I used the full path to the latest version of java and used the command "<java_path>/java -jar setup.jar" is ran OK and installed.

I now have a new problem when I try and run the tutorial samples I get the following error message

"Error occurred during initialization of VM
Unable to load native library: /usr/local/OpenCASCADE6.2.0/3rdparty/Linux/java/jre/lib/i386/libjava.so: symbol __libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time reference "

Any ideas about this?
Álvaro Castro 2007/09/25 12:11
It seems that the libjava.so is linked against different version of the glibc as the one you have.

It might be possible to try to use your own libjava.so library. Try to change the LD_LIBRARY_PATH so it doesn't point to /usr/local/OpenCASCADE6.2.0/3rdparty/Linux/java/jre/lib/i386/ but to the path where your own libjava.so is. This could work.
Jan Brüninghaus 2007/09/25 13:16
In run.csh you will find the following line:
setenv JAVAHOME "${CASROOT}/../3rdparty/${STATION}/java"

Change this, so it points to your java-installation.
Álvaro Castro Castilla 2007/09/25 13:19
Yes that's right, that's called from java vm not the program. Sorry.
Keith Williams 2007/09/25 14:23
Changing the JAVAHOME environment variable seems to have done the trick. The program now starts OK.

Thanks for your help.
 
 
Latest news
  • Open CASCADE Technology 6.7.0 is available for download!
  • Open CASCADE Technology 6.6.0 is available for download!
  • Open CASCADE Technology 6.5.5 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map